FreeMat

- Main Page
- Related Pages

vtkGeoFileImageSource

Section: Visualization Toolkit Geo Vis Classes

# Usage

vtkGeoFileImageSource is a vtkGeoSource that fetches .vti images from disk in a directory with a certain naming scheme. You may use vtkGeoAlignedImageRepresentation's SaveDatabase method to generate an database of image tiles in this format.

To create an instance of class vtkGeoFileImageSource, simply invoke its constructor as follows

      obj = vtkGeoFileImageSource

# Methods

The class vtkGeoFileImageSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGeoFileImageSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGeoFileImageSource = obj.NewInstance ()`
- `vtkGeoFileImageSource = obj.SafeDownCast (vtkObject o)`
- `vtkGeoFileImageSource = obj.()`
- `~vtkGeoFileImageSource = obj.()`
- `bool = obj.FetchRoot (vtkGeoTreeNode root)` - Fetches the root image representing the whole globe.
- `bool = obj.FetchChild (vtkGeoTreeNode node, int index, vtkGeoTreeNode child)` - Fetches the child image of a parent from disk.
- `obj.SetPath (string )` - The path the tiled image database.
- `string = obj.GetPath ()` - The path the tiled image database.